KStaticDeleterBase Class Reference

`#include <kstaticdeleter.h>`

Inheritance diagram for KStaticDeleterBase:

## Public Member Functions

virtual void | destructObject ()

## Detailed Description

Static deleters are used to manage static resources.

They can register themselves with KGlobal. KGlobal will call destructObject() when KGlobal::deleteStaticDeleters() is called or when it the process finishes.

See also
  KStaticDeleter
  KGlobal::registerStaticDeleter()
  KGlobal::unregisterStaticDeleter()
  KGlobal::deleteStaticDeleters()

Definition at line 39 of file kstaticdeleter.h.

## Member Function Documentation

void KStaticDeleterBase::destructObject | ( |  | ) |

virtual

Should destruct the resources managed by this KStaticDeleterBase.

Usually you also want to call it in your destructor.

See also
  KGlobal::deleteStaticDeleters()

Reimplemented in KStaticDeleter< type >.

Definition at line 7 of file kstaticdeleter.cpp.

The documentation for this class was generated from the following files:

- kstaticdeleter.h
- kstaticdeleter.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys